Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CIAO::NodeApplication_Core Class Reference

An ACE_Task subclass that allow the ORB thread to be run as separate thread when RT behaviors are needed. More...

`#include <NodeApplication_Core.h>`

Inheritance diagram for CIAO::NodeApplication_Core:

[legend]
Collaboration diagram for CIAO::NodeApplication_Core:

[legend]
List of all members.

## Public Member Functions
| NodeApplication_Core (NodeApplication_Options &opts)
virtual int | svc (void)
int | startup (int argc, char *argv[])
int | run_orb (void)
## Protected Attributes
CORBA::ORB_var | orb_
NodeApplication_Options & | options_
auto_ptr< NodeApp_Configurator > | configurator_

## Detailed Description

An ACE_Task subclass that allow the ORB thread to be run as separate thread when RT behaviors are needed.

## Constructor & Destructor Documentation

ACE_INLINE CIAO::NodeApplication_Core::NodeApplication_Core | ( | NodeApplication_Options & | opts | ) |

## Member Function Documentation

int CIAO::NodeApplication_Core::run_orb | ( | void |  | ) |

int CIAO::NodeApplication_Core::startup | ( | int | argc,
|  | char * | argv[]
| ) |

int CIAO::NodeApplication_Core::svc | ( | void |  | ) | `[virtual]`

| @ We need to call NodeApplication servant's init method. But it's not sure to me where exactly we can get the Properties needed by the init method at this moment. There are two ways to set the property of the NodeApplication: 1. call init remotely from NodeApplicationManager 2. call init locally on the servant of NodeApplication. Reimplemented from ACE_Task_Base.

## Member Data Documentation

auto_ptr<NodeApp_Configurator> CIAO::NodeApplication_Core::configurator_`[protected]`

NodeApplication_Options& CIAO::NodeApplication_Core::options_`[protected]`

CORBA::ORB_var CIAO::NodeApplication_Core::orb_`[protected]`

The documentation for this class was generated from the following files:

- NodeApplication_Core.h
- NodeApplication_Core.cpp
- NodeApplication_Core.inl